#ifndef INETCIS_COMMON_H
#define INETCIS_COMMON_H

typedef enum
    {
    INETCIS_STATUS_SUCCESS,
    INETCIS_STATUS_FAILURE
    }
    inetcis_status_type;

#define SETEUID_ERROR   -1
#define GETPWNAM_ERROR  ((struct passwd *) 0)
#define CHDIR_ERROR     -1
#define SETRLIMIT_ERROR -1
#define OPEN_ERROR      -1
#define ATEXIT_ERROR    -1
#define WRITE_ERROR     -1
#define READ_ERROR      -1
#define RAISE_ERROR     -1
#define SELECT_ERROR    -1
#define SELECT_TIMEOUT   0
#define READ_EOF         0

extern void increase_process_limit ();
extern inetcis_status_type become_user (char *user_name,
					char *program_id_for_errors,
					char *output_line_terminator);
extern int Read_from_X25_Device (int fd, char *buffer,
				 int number_of_bytes_to_read);
extern void Strip_Leading_CRs_And_LFs (char *s_in, char *s_out, int size_in,
				       int *size_out);
extern void read_user_id_prompt (int file_descriptor);
extern void segmentation_fault_handler (int signal_number);

#endif

