#ifndef COMMAND_H
#define COMMAND_H

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <inetcis-types.h>

#define COMMAND_PORT_NAME "inetcis-cmd"

/*
 * Command delimiters
 */
#define COMMAND_EOS       '$'
#define COMMAND_END       '\n'
#define COMMAND_MAXSTRLEN 255

/*
 * Command codes: these can't be defined by an enumerated type because that
 * would make them INTEGERS.  They need to be CHARACTERS.
 */
#define COMMAND_STOP_ACCEPTING_CONNECTIONS  '0'
#define COMMAND_START_ACCEPTING_CONNECTIONS '1'
#define COMMAND_GET_MAXIMUM_CONNECTIONS     '2'
#define COMMAND_SET_MAXIMUM_CONNECTIONS     '3'
#define COMMAND_GET_NUMBER_OF_CONNECTIONS   '4'

typedef char CommandCodeType;

/*
 * I don't remember why I made these characters.  They probably should be
 * in an enumerated type.
 */
#define COMMAND_STATUS_SESSION_CLOSING '0'
#define COMMAND_STATUS_TOO_SLOW        '1'
#define COMMAND_STATUS_INVALID_COMMAND '2'
#define COMMAND_STATUS_FAILURE         '3'
#define COMMAND_STATUS_SUCCESS         '4'

typedef char CommandStatusType;

extern int Create_Server_Command_Socket (int desired_number, int *cmd_fd);

extern int Create_Client_Command_Socket (int *command_socket_fd);

extern CommandStatusType Receive_Command (int command_socket_fd,
					  CommandCodeType *cmd_code);

extern int Send_Simple_Command (int command_socket_fd,
					    struct sockaddr_in *server_address,
					    CommandCodeType cmd_code);

#endif


