#ifndef GLOBAL_CONFIG_H
#define GLOBAL_CONFIG_H

/* This file should contain only those definitions that are dependant
   on a particular run time environment as specified by the
   CONFIG_PACKAGE.  The CONFIG_PACKAGE_IS_x variables are defined by
   the Makefile which sets them based on what it puts in the PACKAGE
   file.  */

#if defined(CONFIG_PACKAGE_IS_PRODUCTION)

#define CONFIG_PACKAGE_NAME    "production"
#define RUN_TIME_USER_NAME     "inetcis"
#define RUN_TIME_DIRECTORY     "/vol/inetcis/"
#define LOCATION_OF_TEXT_FILES "/usr/local/doc/"  /* last slash required */
#define SIGSEGV_HANDLER
#define ALLOW_TCP_NODELAY

#elif defined(CONFIG_PACKAGE_IS_MHATY)

#define CONFIG_PACKAGE_NAME    "mhaty"
#define RUN_TIME_USER_NAME     "bchatfie"
#define RUN_TIME_DIRECTORY     "/home/bchatfield/"
#define LOCATION_OF_TEXT_FILES "/home/bchatfield/text/" /* last slash req. */
/* #define PIPE_WATCH */
#define LOCAL_LOG_FILE_NAME    "/home/bchatfield/log/"
#define DEBUG_X25
#define IMITATE_GENERIC_PPP

#elif defined(CONFIG_PACKAGE_IS_MHAAO)

#define CONFIG_PACKAGE_NAME    "mhaao"
#define RUN_TIME_USER_NAME     "bchatfie"
#define RUN_TIME_DIRECTORY     "/u1/mhaad/u4/bchatfield/src/inetcis/current/inetcisd/"
#define LOCATION_OF_TEXT_FILES "/u1/mhaad/u4/bchatfield/src/inetcis/inetcis-old/text/"
#define USE_NEW_CENTRAL_SERVER_CODE
#define NO_SYSLOG_LOGGING

#else

#error No CONFIG_PACKAGE selected in config.h.

#endif  /* #if defined(CONFIG_PACKAGE_IS_PRODUCTION) */

#ifdef PIPE_WATCH
#define PIPE_X_SERVER "bchatfield.inhouse.compuserve.com:0.0"
#define PIPE_COMMAND  "/home/bchatfield/bin/display_stdin -display bchatfield.inhouse.compuserve.com:0.0"
#else
#define PIPE_X_SERVER NULL
#define PIPE_COMMAND NULL
#endif

#endif  /* #ifndef CONFIG_H */
