#ifndef INETCIS_TYPES_H
#define INETCIS_TYPES_H

/* Strings should be defined with a size of MAXSTRLEN+1 to accomodate
   a terminating '\0' character.  Example: char s[MAXSTRLEN+1]; */

#define MAXSTRLEN 255

/* To use STRNCPY(t,s) string t, the target string, MUST be defined
   with a size of MAXSTRLEN+1 or greater.  Since strncpy is not
   guaranteed to put a terminating '\0' in string t, it must be done
   manually as STRNCPY(t,s) does. */

#define STRNCPY(t,s) strncpy(t,s,MAXSTRLEN); t[MAXSTRLEN] = '\0'

/* These defines represent the standard C interpretations of the
   constants 0 and 1.  Don't change the values of FALSE, TRUE,
   FAILIURE, or SUCCESS or the code will quit working.  */

#define FALSE 0
#define TRUE 1
#define FAILURE FALSE
#define SUCCESS TRUE

#endif
