#!/usr/local/bin/expect

set report_file_name "report.[pid]"
set report_file [open $report_file_name w]
puts $report_file "session# filesize #downloads avgtime(sec) avgcps avgbaud"

foreach session_file_name [glob output/load_test_session.*] {
    set session_number [string range $session_file_name 25 end]
    set session_file [open $session_file_name r]
    if {! [eof $session_file]} {
	set total_microsecond_time 0
	gets $session_file download_file_size
	set j 0
	while {! [eof $session_file]} {
	    gets $session_file line
	    set num_conversions [scan $line "%d" microsecond_download_time]
	    if {$num_conversions == 1} {
		incr total_microsecond_time $microsecond_download_time
		incr j
	    }
	}
	if {$j > 0} {
	    set total_time_in_seconds [expr $total_microsecond_time / 1000000]
	    set avgtime [expr $total_time_in_seconds / $j]
	    set avgcps [expr $download_file_size / $avgtime]
	    set avgbaud [expr 8 * $avgcps]
	    puts $report_file [format "%8d %8d %10d %12d %6d %7d" \
		    $session_number \
		    $download_file_size $j $avgtime $avgcps $avgbaud]
	}
    }
    close $session_file
}

close $report_file

exec xedit $report_file_name &