#!/usr/local/bin/expect

source "rcat.conf.tcl"

if {$argc != 1} {
    puts "usage: rcat.tcl nameofdatafile"
    exit 1
}

set datafilename [lindex $argv 0]
set datafile [open $datafilename w]

spawn inetcis $gateway

expect "Host Name: "
send "cisagree\n"
expect " OFF): "
send "infinity\n"
expect "User ID: "
send "@dhu\n"
expect "User ID: "
send "/host\n"

expect "Host Name: "

if {$usenapdev} {
    send "napdev\n"
    expect "Password: "
    send "$x25password\n"
    expect $napdevprompt
    send "telnet $targetmachine\n"
} else {
    send "$targetmachine\n"
    expect "Password: "
    send "$x25password\n"
}

expect "login: "
send "$username\r"
expect "Password:*$"
send "$password\r"
expect {
    "\[ansi\] ?"   {send "\r"; expect "$shellprompt"}
    "$shellprompt" {}
}

#
# Get the the size of the file.
#
send "ls -l $filename\r"
expect -- "-r*$filename"                  ;# Get the line into the buffer
set ls_line $expect_out(0,string)         ;# move it into a named var
set file_size 0
scan $ls_line "%s%s%s%s%d" j1 j2 j3 j4 file_size
puts $datafile $file_size

#
# Time cat of file.
#
expect "$shellprompt"
for {set i 1} {$i <= $numtimes} {incr i} {
    send "cat $filename\r"
    set cat_time [time {expect "$shellprompt"}]
    puts $datafile $cat_time
}

#
# Exit session.
#
send "logout\r"
if {$usenapdev} {
    expect $napdevprompt
    send "exit\n"
}
expect "Host Name: "
send "off\n"
puts " "

close $datafile